Listar plantillas aprobadas
curl --request GET \
--url https://app.eltick.com/api/v1/templates \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.eltick.com/api/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.eltick.com/api/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.eltick.com/api/v1/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "01a0d470-1b2c-7d3e-9f40-5a6b7c8d9e0f",
"name": "Confirmación de pedido",
"metaName": "confirmacion_de_pedido",
"language": "es",
"category": "UTILITY",
"wabaId": "102938475610293",
"variables": [
{
"name": "nombre",
"label": "Nombre"
},
{
"name": "pedido",
"label": "Pedido"
}
]
}
]
}Plantillas
Listar plantillas aprobadas
Devuelve solo las plantillas aprobadas por Meta, de la más nueva a la más vieja. Usa el id y los nombres de variables para enviarlas con POST /messages.
GET
/
templates
Listar plantillas aprobadas

